<bugID>742101<Summary>Relicense pdf.js to Apache License 2.0</Summary><Description>It's not clear to me that the licensing question raised during the review of pdf.js was fully answered so we should make sure it does before releasing this.

From bug 714712 comment 81:

::: browser/app/profile/extensions/uriloader@pdf.js/LICENSE
@@ +28,5 @@
&gt; +    FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
&gt; +    THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
&gt; +    LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
&gt; +    FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
&gt; +    DEALINGS IN THE SOFTWARE.

I'm no licensing genius but a single license file and no license headers in the source code is not the norm for us. Has somebody that knows better than me (like gerv) confirmed that this is ok?</Description></bugID>